Help us shape the future of Go! Take the 2026 Go Developer Survey

charts

package
v0.7.3 Latest Latest
Warning

This package is not in the latest version of its module.

Go to latest
Published: Jun 22, 2018 License: Apache-2.0 Imports: 7 Imported by: 0

Documentation

Index

Constants

This section is empty.

Variables

This section is empty.

Functions

This section is empty.

Types

type GetAllCharts

type GetAllCharts struct {
	Context *middleware.Context
	Handler GetAllChartsHandler
}

GetAllCharts swagger:route GET /v1/charts charts getAllCharts

get all charts from all repos

func NewGetAllCharts

func NewGetAllCharts(ctx *middleware.Context, handler GetAllChartsHandler) *GetAllCharts

NewGetAllCharts creates a new http.Handler for the get all charts operation

func (*GetAllCharts) ServeHTTP

func (o *GetAllCharts) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetAllChartsDefault

type GetAllChartsDefault struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetAllChartsDefault unexpected error

swagger:response getAllChartsDefault

func NewGetAllChartsDefault

func NewGetAllChartsDefault(code int) *GetAllChartsDefault

NewGetAllChartsDefault creates GetAllChartsDefault with default headers values

func (*GetAllChartsDefault) SetPayload

func (o *GetAllChartsDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get all charts default response

func (*GetAllChartsDefault) SetStatusCode

func (o *GetAllChartsDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get all charts default response

func (*GetAllChartsDefault) WithPayload

func (o *GetAllChartsDefault) WithPayload(payload *models.Error) *GetAllChartsDefault

WithPayload adds the payload to the get all charts default response

func (*GetAllChartsDefault) WithStatusCode

func (o *GetAllChartsDefault) WithStatusCode(code int) *GetAllChartsDefault

WithStatusCode adds the status to the get all charts default response

func (*GetAllChartsDefault) WriteResponse

func (o *GetAllChartsDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetAllChartsHandler

type GetAllChartsHandler interface {
	Handle(GetAllChartsParams) middleware.Responder
}

GetAllChartsHandler interface for that can handle valid get all charts params

type GetAllChartsHandlerFunc

type GetAllChartsHandlerFunc func(GetAllChartsParams) middleware.Responder

GetAllChartsHandlerFunc turns a function with the right signature into a get all charts handler

func (GetAllChartsHandlerFunc) Handle

Handle executing the request and returning a response

type GetAllChartsOK

type GetAllChartsOK struct {

	// In: body
	Payload *models.ResourceArrayData `json:"body,omitempty"`
}

GetAllChartsOK charts response

swagger:response getAllChartsOK

func NewGetAllChartsOK

func NewGetAllChartsOK() *GetAllChartsOK

NewGetAllChartsOK creates GetAllChartsOK with default headers values

func (*GetAllChartsOK) SetPayload

func (o *GetAllChartsOK) SetPayload(payload *models.ResourceArrayData)

SetPayload sets the payload to the get all charts o k response

func (*GetAllChartsOK) WithPayload

func (o *GetAllChartsOK) WithPayload(payload *models.ResourceArrayData) *GetAllChartsOK

WithPayload adds the payload to the get all charts o k response

func (*GetAllChartsOK) WriteResponse

func (o *GetAllChartsOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetAllChartsParams

type GetAllChartsParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request
}

GetAllChartsParams contains all the bound params for the get all charts operation typically these are obtained from a http.Request

swagger:parameters getAllCharts

func NewGetAllChartsParams

func NewGetAllChartsParams() GetAllChartsParams

NewGetAllChartsParams creates a new GetAllChartsParams object with the default values initialized.

func (*GetAllChartsParams) BindRequest

func (o *GetAllChartsParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type GetChart

type GetChart struct {
	Context *middleware.Context
	Handler GetChartHandler
}

GetChart swagger:route GET /v1/charts/{repo}/{chartName} charts getChart

get chart by repo/name

func NewGetChart

func NewGetChart(ctx *middleware.Context, handler GetChartHandler) *GetChart

NewGetChart creates a new http.Handler for the get chart operation

func (*GetChart) ServeHTTP

func (o *GetChart) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetChartDefault

type GetChartDefault struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetChartDefault unexpected error

swagger:response getChartDefault

func NewGetChartDefault

func NewGetChartDefault(code int) *GetChartDefault

NewGetChartDefault creates GetChartDefault with default headers values

func (*GetChartDefault) SetPayload

func (o *GetChartDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get chart default response

func (*GetChartDefault) SetStatusCode

func (o *GetChartDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get chart default response

func (*GetChartDefault) WithPayload

func (o *GetChartDefault) WithPayload(payload *models.Error) *GetChartDefault

WithPayload adds the payload to the get chart default response

func (*GetChartDefault) WithStatusCode

func (o *GetChartDefault) WithStatusCode(code int) *GetChartDefault

WithStatusCode adds the status to the get chart default response

func (*GetChartDefault) WriteResponse

func (o *GetChartDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetChartHandler

type GetChartHandler interface {
	Handle(GetChartParams) middleware.Responder
}

GetChartHandler interface for that can handle valid get chart params

type GetChartHandlerFunc

type GetChartHandlerFunc func(GetChartParams) middleware.Responder

GetChartHandlerFunc turns a function with the right signature into a get chart handler

func (GetChartHandlerFunc) Handle

Handle executing the request and returning a response

type GetChartOK

type GetChartOK struct {

	// In: body
	Payload *models.ResourceData `json:"body,omitempty"`
}

GetChartOK chart response

swagger:response getChartOK

func NewGetChartOK

func NewGetChartOK() *GetChartOK

NewGetChartOK creates GetChartOK with default headers values

func (*GetChartOK) SetPayload

func (o *GetChartOK) SetPayload(payload *models.ResourceData)

SetPayload sets the payload to the get chart o k response

func (*GetChartOK) WithPayload

func (o *GetChartOK) WithPayload(payload *models.ResourceData) *GetChartOK

WithPayload adds the payload to the get chart o k response

func (*GetChartOK) WriteResponse

func (o *GetChartOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetChartParams

type GetChartParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*
	  Required: true
	  In: path
	*/
	ChartName string
	/*
	  Required: true
	  In: path
	*/
	Repo string
}

GetChartParams contains all the bound params for the get chart operation typically these are obtained from a http.Request

swagger:parameters getChart

func NewGetChartParams

func NewGetChartParams() GetChartParams

NewGetChartParams creates a new GetChartParams object with the default values initialized.

func (*GetChartParams) BindRequest

func (o *GetChartParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type GetChartVersion

type GetChartVersion struct {
	Context *middleware.Context
	Handler GetChartVersionHandler
}

GetChartVersion swagger:route GET /v1/charts/{repo}/{chartName}/versions/{version} charts getChartVersion

get specific chart version by repo/name

func NewGetChartVersion

func NewGetChartVersion(ctx *middleware.Context, handler GetChartVersionHandler) *GetChartVersion

NewGetChartVersion creates a new http.Handler for the get chart version operation

func (*GetChartVersion) ServeHTTP

func (o *GetChartVersion) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetChartVersionDefault

type GetChartVersionDefault struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetChartVersionDefault unexpected error

swagger:response getChartVersionDefault

func NewGetChartVersionDefault

func NewGetChartVersionDefault(code int) *GetChartVersionDefault

NewGetChartVersionDefault creates GetChartVersionDefault with default headers values

func (*GetChartVersionDefault) SetPayload

func (o *GetChartVersionDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get chart version default response

func (*GetChartVersionDefault) SetStatusCode

func (o *GetChartVersionDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get chart version default response

func (*GetChartVersionDefault) WithPayload

func (o *GetChartVersionDefault) WithPayload(payload *models.Error) *GetChartVersionDefault

WithPayload adds the payload to the get chart version default response

func (*GetChartVersionDefault) WithStatusCode

func (o *GetChartVersionDefault) WithStatusCode(code int) *GetChartVersionDefault

WithStatusCode adds the status to the get chart version default response

func (*GetChartVersionDefault) WriteResponse

func (o *GetChartVersionDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetChartVersionHandler

type GetChartVersionHandler interface {
	Handle(GetChartVersionParams) middleware.Responder
}

GetChartVersionHandler interface for that can handle valid get chart version params

type GetChartVersionHandlerFunc

type GetChartVersionHandlerFunc func(GetChartVersionParams) middleware.Responder

GetChartVersionHandlerFunc turns a function with the right signature into a get chart version handler

func (GetChartVersionHandlerFunc) Handle

Handle executing the request and returning a response

type GetChartVersionOK

type GetChartVersionOK struct {

	// In: body
	Payload *models.ResourceArrayData `json:"body,omitempty"`
}

GetChartVersionOK charts response

swagger:response getChartVersionOK

func NewGetChartVersionOK

func NewGetChartVersionOK() *GetChartVersionOK

NewGetChartVersionOK creates GetChartVersionOK with default headers values

func (*GetChartVersionOK) SetPayload

func (o *GetChartVersionOK) SetPayload(payload *models.ResourceArrayData)

SetPayload sets the payload to the get chart version o k response

func (*GetChartVersionOK) WithPayload

func (o *GetChartVersionOK) WithPayload(payload *models.ResourceArrayData) *GetChartVersionOK

WithPayload adds the payload to the get chart version o k response

func (*GetChartVersionOK) WriteResponse

func (o *GetChartVersionOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetChartVersionParams

type GetChartVersionParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*
	  Required: true
	  In: path
	*/
	ChartName string
	/*
	  Required: true
	  In: path
	*/
	Repo string
	/*
	  Required: true
	  In: path
	*/
	Version string
}

GetChartVersionParams contains all the bound params for the get chart version operation typically these are obtained from a http.Request

swagger:parameters getChartVersion

func NewGetChartVersionParams

func NewGetChartVersionParams() GetChartVersionParams

NewGetChartVersionParams creates a new GetChartVersionParams object with the default values initialized.

func (*GetChartVersionParams) BindRequest

func (o *GetChartVersionParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type GetChartVersions

type GetChartVersions struct {
	Context *middleware.Context
	Handler GetChartVersionsHandler
}

GetChartVersions swagger:route GET /v1/charts/{repo}/{chartName}/versions charts getChartVersions

get all chart versions by repo/name

func NewGetChartVersions

func NewGetChartVersions(ctx *middleware.Context, handler GetChartVersionsHandler) *GetChartVersions

NewGetChartVersions creates a new http.Handler for the get chart versions operation

func (*GetChartVersions) ServeHTTP

func (o *GetChartVersions) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetChartVersionsDefault

type GetChartVersionsDefault struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetChartVersionsDefault unexpected error

swagger:response getChartVersionsDefault

func NewGetChartVersionsDefault

func NewGetChartVersionsDefault(code int) *GetChartVersionsDefault

NewGetChartVersionsDefault creates GetChartVersionsDefault with default headers values

func (*GetChartVersionsDefault) SetPayload

func (o *GetChartVersionsDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get chart versions default response

func (*GetChartVersionsDefault) SetStatusCode

func (o *GetChartVersionsDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get chart versions default response

func (*GetChartVersionsDefault) WithPayload

func (o *GetChartVersionsDefault) WithPayload(payload *models.Error) *GetChartVersionsDefault

WithPayload adds the payload to the get chart versions default response

func (*GetChartVersionsDefault) WithStatusCode

func (o *GetChartVersionsDefault) WithStatusCode(code int) *GetChartVersionsDefault

WithStatusCode adds the status to the get chart versions default response

func (*GetChartVersionsDefault) WriteResponse

func (o *GetChartVersionsDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetChartVersionsHandler

type GetChartVersionsHandler interface {
	Handle(GetChartVersionsParams) middleware.Responder
}

GetChartVersionsHandler interface for that can handle valid get chart versions params

type GetChartVersionsHandlerFunc

type GetChartVersionsHandlerFunc func(GetChartVersionsParams) middleware.Responder

GetChartVersionsHandlerFunc turns a function with the right signature into a get chart versions handler

func (GetChartVersionsHandlerFunc) Handle

Handle executing the request and returning a response

type GetChartVersionsOK

type GetChartVersionsOK struct {

	// In: body
	Payload *models.ResourceData `json:"body,omitempty"`
}

GetChartVersionsOK chart response

swagger:response getChartVersionsOK

func NewGetChartVersionsOK

func NewGetChartVersionsOK() *GetChartVersionsOK

NewGetChartVersionsOK creates GetChartVersionsOK with default headers values

func (*GetChartVersionsOK) SetPayload

func (o *GetChartVersionsOK) SetPayload(payload *models.ResourceData)

SetPayload sets the payload to the get chart versions o k response

func (*GetChartVersionsOK) WithPayload

func (o *GetChartVersionsOK) WithPayload(payload *models.ResourceData) *GetChartVersionsOK

WithPayload adds the payload to the get chart versions o k response

func (*GetChartVersionsOK) WriteResponse

func (o *GetChartVersionsOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetChartVersionsParams

type GetChartVersionsParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*
	  Required: true
	  In: path
	*/
	ChartName string
	/*
	  Required: true
	  In: path
	*/
	Repo string
}

GetChartVersionsParams contains all the bound params for the get chart versions operation typically these are obtained from a http.Request

swagger:parameters getChartVersions

func NewGetChartVersionsParams

func NewGetChartVersionsParams() GetChartVersionsParams

NewGetChartVersionsParams creates a new GetChartVersionsParams object with the default values initialized.

func (*GetChartVersionsParams) BindRequest

func (o *GetChartVersionsParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type GetChartsInRepo

type GetChartsInRepo struct {
	Context *middleware.Context
	Handler GetChartsInRepoHandler
}

GetChartsInRepo swagger:route GET /v1/charts/{repo} charts getChartsInRepo

get all charts by repo

func NewGetChartsInRepo

func NewGetChartsInRepo(ctx *middleware.Context, handler GetChartsInRepoHandler) *GetChartsInRepo

NewGetChartsInRepo creates a new http.Handler for the get charts in repo operation

func (*GetChartsInRepo) ServeHTTP

func (o *GetChartsInRepo) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type GetChartsInRepoDefault

type GetChartsInRepoDefault struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

GetChartsInRepoDefault unexpected error

swagger:response getChartsInRepoDefault

func NewGetChartsInRepoDefault

func NewGetChartsInRepoDefault(code int) *GetChartsInRepoDefault

NewGetChartsInRepoDefault creates GetChartsInRepoDefault with default headers values

func (*GetChartsInRepoDefault) SetPayload

func (o *GetChartsInRepoDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the get charts in repo default response

func (*GetChartsInRepoDefault) SetStatusCode

func (o *GetChartsInRepoDefault) SetStatusCode(code int)

SetStatusCode sets the status to the get charts in repo default response

func (*GetChartsInRepoDefault) WithPayload

func (o *GetChartsInRepoDefault) WithPayload(payload *models.Error) *GetChartsInRepoDefault

WithPayload adds the payload to the get charts in repo default response

func (*GetChartsInRepoDefault) WithStatusCode

func (o *GetChartsInRepoDefault) WithStatusCode(code int) *GetChartsInRepoDefault

WithStatusCode adds the status to the get charts in repo default response

func (*GetChartsInRepoDefault) WriteResponse

func (o *GetChartsInRepoDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetChartsInRepoHandler

type GetChartsInRepoHandler interface {
	Handle(GetChartsInRepoParams) middleware.Responder
}

GetChartsInRepoHandler interface for that can handle valid get charts in repo params

type GetChartsInRepoHandlerFunc

type GetChartsInRepoHandlerFunc func(GetChartsInRepoParams) middleware.Responder

GetChartsInRepoHandlerFunc turns a function with the right signature into a get charts in repo handler

func (GetChartsInRepoHandlerFunc) Handle

Handle executing the request and returning a response

type GetChartsInRepoOK

type GetChartsInRepoOK struct {

	// In: body
	Payload GetChartsInRepoOKBodyBody `json:"body,omitempty"`
}

GetChartsInRepoOK charts by repo response

swagger:response getChartsInRepoOK

func NewGetChartsInRepoOK

func NewGetChartsInRepoOK() *GetChartsInRepoOK

NewGetChartsInRepoOK creates GetChartsInRepoOK with default headers values

func (*GetChartsInRepoOK) SetPayload

func (o *GetChartsInRepoOK) SetPayload(payload GetChartsInRepoOKBodyBody)

SetPayload sets the payload to the get charts in repo o k response

func (*GetChartsInRepoOK) WithPayload

WithPayload adds the payload to the get charts in repo o k response

func (*GetChartsInRepoOK) WriteResponse

func (o *GetChartsInRepoOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type GetChartsInRepoOKBodyBody

type GetChartsInRepoOKBodyBody struct {

	/* data

	Required: true
	*/
	Data *models.Resource `json:"data"`
}

GetChartsInRepoOKBodyBody get charts in repo o k body body

swagger:model GetChartsInRepoOKBodyBody

func (*GetChartsInRepoOKBodyBody) Validate

func (o *GetChartsInRepoOKBodyBody) Validate(formats strfmt.Registry) error

Validate validates this get charts in repo o k body body

type GetChartsInRepoParams

type GetChartsInRepoParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*
	  Required: true
	  In: path
	*/
	Repo string
}

GetChartsInRepoParams contains all the bound params for the get charts in repo operation typically these are obtained from a http.Request

swagger:parameters getChartsInRepo

func NewGetChartsInRepoParams

func NewGetChartsInRepoParams() GetChartsInRepoParams

NewGetChartsInRepoParams creates a new GetChartsInRepoParams object with the default values initialized.

func (*GetChartsInRepoParams) BindRequest

func (o *GetChartsInRepoParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

type SearchCharts

type SearchCharts struct {
	Context *middleware.Context
	Handler SearchChartsHandler
}

SearchCharts swagger:route GET /v1/charts/search charts searchCharts

search charts

func NewSearchCharts

func NewSearchCharts(ctx *middleware.Context, handler SearchChartsHandler) *SearchCharts

NewSearchCharts creates a new http.Handler for the search charts operation

func (*SearchCharts) ServeHTTP

func (o *SearchCharts) ServeHTTP(rw http.ResponseWriter, r *http.Request)

type SearchChartsDefault

type SearchChartsDefault struct {

	// In: body
	Payload *models.Error `json:"body,omitempty"`
	// contains filtered or unexported fields
}

SearchChartsDefault unexpected error

swagger:response searchChartsDefault

func NewSearchChartsDefault

func NewSearchChartsDefault(code int) *SearchChartsDefault

NewSearchChartsDefault creates SearchChartsDefault with default headers values

func (*SearchChartsDefault) SetPayload

func (o *SearchChartsDefault) SetPayload(payload *models.Error)

SetPayload sets the payload to the search charts default response

func (*SearchChartsDefault) SetStatusCode

func (o *SearchChartsDefault) SetStatusCode(code int)

SetStatusCode sets the status to the search charts default response

func (*SearchChartsDefault) WithPayload

func (o *SearchChartsDefault) WithPayload(payload *models.Error) *SearchChartsDefault

WithPayload adds the payload to the search charts default response

func (*SearchChartsDefault) WithStatusCode

func (o *SearchChartsDefault) WithStatusCode(code int) *SearchChartsDefault

WithStatusCode adds the status to the search charts default response

func (*SearchChartsDefault) WriteResponse

func (o *SearchChartsDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type SearchChartsHandler

type SearchChartsHandler interface {
	Handle(SearchChartsParams) middleware.Responder
}

SearchChartsHandler interface for that can handle valid search charts params

type SearchChartsHandlerFunc

type SearchChartsHandlerFunc func(SearchChartsParams) middleware.Responder

SearchChartsHandlerFunc turns a function with the right signature into a search charts handler

func (SearchChartsHandlerFunc) Handle

Handle executing the request and returning a response

type SearchChartsOK

type SearchChartsOK struct {

	// In: body
	Payload *models.ResourceArrayData `json:"body,omitempty"`
}

SearchChartsOK repositories response

swagger:response searchChartsOK

func NewSearchChartsOK

func NewSearchChartsOK() *SearchChartsOK

NewSearchChartsOK creates SearchChartsOK with default headers values

func (*SearchChartsOK) SetPayload

func (o *SearchChartsOK) SetPayload(payload *models.ResourceArrayData)

SetPayload sets the payload to the search charts o k response

func (*SearchChartsOK) WithPayload

func (o *SearchChartsOK) WithPayload(payload *models.ResourceArrayData) *SearchChartsOK

WithPayload adds the payload to the search charts o k response

func (*SearchChartsOK) WriteResponse

func (o *SearchChartsOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)

WriteResponse to the client

type SearchChartsParams

type SearchChartsParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request

	/*chart name substring pattern match
	  Required: true
	  In: query
	*/
	Name string
}

SearchChartsParams contains all the bound params for the search charts operation typically these are obtained from a http.Request

swagger:parameters searchCharts

func NewSearchChartsParams

func NewSearchChartsParams() SearchChartsParams

NewSearchChartsParams creates a new SearchChartsParams object with the default values initialized.

func (*SearchChartsParams) BindRequest

func (o *SearchChartsParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error

BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls

Jump to

Keyboard shortcuts

? : This menu
/ : Search site
f or F : Jump to
y or Y : Canonical URL